Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class WFSHandler

    java.lang.Object
      org.deegree.enterprise.servlet.AbstractOWServiceHandler
          org.deegree.enterprise.servlet.WFSHandler

All Implemented Interfaces:
  ServiceDispatcher

     class WFSHandler

extends AbstractOWServiceHandler

Web servlet client for WFS.

NOTE: Currently, the `WFSHandler` is responsible for the pre- and postprocessing of virtual feature types. For virtual feature types, requests and responses are transformed using an XSL-script. Virtual feature types can also provide their own schema document that is sent as a response to `DescribeFeatureType` requests.

The heuristics that determines whether pre- or postprocessing is necessary, is not very accurate; check the methods:

- `#determineFormat(DescribeFeatureType, WFSConfiguration)`
- `#determineFormat(GetFeature, WFSConfiguration)`
- `#determineFormat(Transaction, WFSConfiguration)`

The code for the handling of virtual features should probably be moved to the `WFService` class.

Version:
  $Revision: 23794 $, $Date: 2010-04-23 15:05:33 +0200 (Fr, 23. Apr 2010) $
Author:
  Andreas Poth , Torsten Friebe , Markus Schneider , last edited by: $Author: aionita $

Constructor Summary
`WFSHandler()`

Method Summary
`void` | `perform(OGCWebServiceRequest request, javax.servlet.http.HttpServletResponse httpResponse)` Performs the given `OGCWebServiceRequest` on the `WFService` and sends the response to the given `HttpServletResponse` object.
`void` | `sendException(javax.servlet.http.HttpServletResponse httpResponse, OGCWebServiceException serviceException)` Sends an exception report to the client.
`void` | `sendVersionedException(javax.servlet.http.HttpServletResponse httpResponse, OGCWebServiceException serviceException, boolean is100)`

Methods inherited from class org.deegree.enterprise.servlet.AbstractOWServiceHandler
`sendException, sendExceptionReport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFSHandler

    public WFSHandler()

Method Detail

### perform

    public void perform(OGCWebServiceRequest request,
                        javax.servlet.http.HttpServletResponse httpResponse)
                 throws ServiceException

  Performs the given `OGCWebServiceRequest` on the `WFService` and sends the response to the given `HttpServletResponse` object.

  Parameters:
    `request` - OGCWebServiceRequest to be performed
    `httpResponse` - servlet response object to write to
  Throws:
    `ServiceException`

### sendVersionedException

    public void sendVersionedException(javax.servlet.http.HttpServletResponse httpResponse,
                                       OGCWebServiceException serviceException,
                                       boolean is100)

  Parameters:
    `httpResponse` -
    `serviceException` -
    `is100` -

### sendException

    public void sendException(javax.servlet.http.HttpServletResponse httpResponse,
                              OGCWebServiceException serviceException)

  Description copied from class: `AbstractOWServiceHandler`
  Sends an exception report to the client. The exception report complies to the OWS Common Implementation Specification 0.3.0.

  Overrides:
    `sendException` in class `AbstractOWServiceHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org